# Windows

### Deployment Guide

1. Clone [aurras-deployment-kubernetes](https://github.com/HugoByte/aurras-deployment-kubernetes) with submodules

```
git clone https://github.com/HugoByte/aurras-deployment-kubernetes --recurse-submodules
```

&#x20;  2\. Navigate to openwhisk setup directory

```
cd aurras-deployment-kubernetes/openwhisk
```

&#x20;  3\. Get InternalIP of the cluster

```
kubectl describe nodes | grep InternalIP
```

&#x20;  4\. Creating mycluster.yaml with **apiHostName** as InternalIP of the nodes&#x20;

{% hint style="info" %}
Assuming the IP returned from the above step 3 as "192.168.65.3"
{% endhint %}

```
whisk:
  ingress:
    type: NodePort
    apiHostName: 192.168.65.3
    apiHostPort: 31001

nginx:
  httpsNodePort: 31001
```

&#x20;  5\. Create a namespace

```
kubectl create namespace aurras
```

&#x20;  6\. Indicate the Kubernetes worker nodes that should be used to execute user containers by OpenWhisk's invokers

```
kubectl label nodes --all openwhisk-role=invoker
```

&#x20; 7\. Deploy Openwhisk using helm

```
helm install openwhisk ./helm/openwhisk -n aurras -f mycluster.yaml
```

&#x20; 8\. Get the summary of installation using

```
helm status openwhisk -n aurras
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aurras.hugobyte.com/dependencies/openwhisk/deployment/setup-kubernetes/environment/windows.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
